<!-- This file was generated by pybib2web, version 0.7.dev0: https://gitlab.com/sosy-lab/software/pybib2web/ -->
<input type="checkbox" id="show-compact">
<label for="show-compact">Compact view</label>
<h2 id="publications">Publications of year 2014</h2>
<nav class="publication-navigation">(<a href="../All/index.html">Show all</a> &ndash; <a href="../index.html">Index</a>)</nav>

<a href="../Category/articles.html"><h3>Articles in journal or book chapters</h3></a>

<ol class="list-publications" start="1">

<li class="bibentry" id="Dagstuhl14">
  <span class="main-info">
    <span class="author-list"><span class="author"><a href="../Author/BEYER-D.html"><span class="firstname">Dirk</span> <span class="lastname">Beyer</span></a></span>,
    <span class="author"><span class="firstname">Marieke</span> <span class="lastname">Huisman</span></span>,
    <span class="author"><span class="firstname">Vladimir</span> <span class="lastname">Klebanov</span></span>, and
    <span class="author"><span class="firstname">Rosemary</span> <span class="lastname">Monahan</span></span>.</span>
    <span class="publication-title">Evaluating Software Verification Systems: Benchmarks and Competitions
    (Dagstuhl Reports 14171).</span>
    <span class="howpublished">
      <span class="journal"><em class="journaltitle">Dagstuhl Reports</em>, <span class="journalvolume">4</span><span class="journalnumber">(4)</span><span class="pages">:1-19</span></span>,
      <span class="publication-date">  <span class="year">2014</span></span>.
    </span>
    <a class="doi" href="https://doi.org/10.4230/DagRep.4.4.1" data-doi="10.4230/DagRep.4.4.1" title="The digital object identifier permanently identifies a digital article or document.">doi:10.4230/DagRep.4.4.1</a>
  </span>
  <a class="bibentry-link" href="#Dagstuhl14"><img height="12px" width="12px" src="https://www.sosy-lab.org/images/transparent.gif" alt="Link to this entry"></a>
  <span class="additional-info">
    <span class="inline-info">
    </span>
    <span class="link-list">
      <a class="publishers-version-link doi-link" href="https://doi.org/10.4230/DagRep.4.4.1" title="Link to official version of paper (may be a landing page with more information)"><img alt="" height="17px" width="17px" src="https://www.sosy-lab.org/research/pub/Icons/doi.svg">Publisher's Version</a>
      <a class="material-link" href="https://doi.org/10.4230/DagRep.4.4.1"><img alt="" height="15px" width="15px" src="https://www.sosy-lab.org/research/pub/Icons/www.gif">Supplement</a>
    </span>
    <details  class="bibtex">
      <summary>BibTeX Entry</summary>
      <div>
        @article{Dagstuhl14,
        author = {Dirk Beyer and Marieke Huisman and Vladimir Klebanov and Rosemary Monahan},
        title = {Evaluating Software Verification Systems: Benchmarks and Competitions (Dagstuhl Reports 14171)},
        journal = {Dagstuhl Reports},
        volume = {4},
        number = {4},
        pages = {1-19},
        year = {2014},
        doi = {10.4230/DagRep.4.4.1},
        sha256 = {},
        url = {https://doi.org/10.4230/DagRep.4.4.1},
        }
        
      </div>
    </details>
  </span>
</li>

</ol>
<a href="../Category/conferences.html"><h3>Articles in conference or workshop proceedings</h3></a>

<ol class="list-publications" start="2">

<li class="bibentry" id="CAV14">
  <span class="main-info">
    <span class="author-list"><span class="author"><a href="../Author/BEYER-D.html"><span class="firstname">Dirk</span> <span class="lastname">Beyer</span></a></span>,
    <span class="author"><span class="firstname">Georg</span> <span class="lastname">Dresler</span></span>, and
    <span class="author"><a href="../Author/WENDLER-P.html"><span class="firstname">Philipp</span> <span class="lastname">Wendler</span></a></span>.</span>
    <span class="publication-title">Software Verification in the Google App-Engine Cloud.</span>
    <span class="howpublished">
      In <span class="editor-list"><span class="editor"><span class="firstname">A.</span> <span class="lastname">Biere</span></span> and
      <span class="editor"><span class="firstname">R.</span> <span class="lastname">Bloem</span></span>, editors</span>,
      <em class="booktitle">  Proceedings of the 26th International Conference on
        Computer-Aided Verification (CAV 2014, Vienna, Austria, July 18-22)</em>,
      <span class="series">LNCS 8559</span>,
      <span class="pages">pages 327-333</span>,
      <span class="publication-date">  <span class="year">2014</span></span>.
    </span>
    <span class="publisher">Springer-Verlag, Heidelberg.</span>
    <a class="doi" href="https://doi.org/10.1007/978-3-319-08867-9_21" data-doi="10.1007/978-3-319-08867-9_21" title="The digital object identifier permanently identifies a digital article or document.">doi:10.1007/978-3-319-08867-9_21</a>
  </span>
  <a class="bibentry-link" href="#CAV14"><img height="12px" width="12px" src="https://www.sosy-lab.org/images/transparent.gif" alt="Link to this entry"></a>
  <span class="additional-info">
    <span class="inline-info">
      <span class="keyword-list">Keyword(s):
        <a class="keyword" href="../Keyword/CPACHECKER.html">CPAchecker</a>,
        <a class="keyword" href="../Keyword/SOFTWARE-MODEL-CHECKING.html">Software Model Checking</a>,
        <a class="keyword" href="../Keyword/CLOUD-BASED-SOFTWARE-VERIFICATION.html">Cloud-Based Software Verification</a>
      </span>
    </span>
    <span class="link-list">
      <a class="publishers-version-link doi-link" href="https://doi.org/10.1007/978-3-319-08867-9_21" title="Link to official version of paper (may be a landing page with more information)"><img alt="" height="17px" width="17px" src="https://www.sosy-lab.org/research/pub/Icons/doi.svg">Publisher's Version</a>
      <a class="pdf-link" href="https://link.springer.com/content/pdf/10.1007/978-3-319-08867-9_21.pdf"><img alt="" height="17px" width="17px" src="https://www.sosy-lab.org/research/pub/Icons/pdf.gif">PDF</a>
      <a class="material-link" href="http://www.sosy-lab.org/~dbeyer/cpa-appengine"><img alt="" height="15px" width="15px" src="https://www.sosy-lab.org/research/pub/Icons/www.gif">Supplement</a>
    </span>
    <details  class="abstract">
      <summary>Abstract</summary>
      <div>
        Software verification often requires a large amount
        of computing resources.  In the last years, cloud
        services emerged as an inexpensive, flexible, and
        energy-efficient source of computing power.  We have
        investigated if such cloud resources can be used
        effectively for verification.  We chose the
        platform-as-a-service offer Google App Engine and
        ported the open-source verification framework
        CPAchecker to it.  We provide our new verification
        service as a web front-end to users who wish to
        solve single verification tasks (tutorial usage),
        and an API for integrating the service into existing
        verification infrastructures (massively parallel
        bulk usage).  We experimentally evaluate the
        effectiveness of this service and show that it can
        be successfully used to offload verification work to
        the cloud, considerably sparing local verification
        resources.
      </div>
    </details>
    <details  class="bibtex">
      <summary>BibTeX Entry</summary>
      <div>
        @inproceedings{CAV14,
        author = {Dirk Beyer and Georg Dresler and Philipp Wendler},
        title = {Software Verification in the {Google} {App-Engine} Cloud},
        booktitle = {Proceedings of the 26th International Conference on Computer-Aided Verification (CAV~2014, Vienna, Austria, July 18-22)},
        editor = {A.~Biere and R.~Bloem},
        pages = {327-333},
        year = {2014},
        series = {LNCS~8559},
        publisher = {Springer-Verlag, Heidelberg},
        isbn = {978-3-319-08866-2},
        doi = {10.1007/978-3-319-08867-9_21},
        sha256 = {f92060721e703c8553d5420c34f07eea24fe25d36ae9c02217688606e1898704},
        url = {http://www.sosy-lab.org/~dbeyer/cpa-appengine},
        abstract = {Software verification often requires a large amount of computing resources.  In the last years, cloud services emerged as an inexpensive, flexible, and energy-efficient source of computing power.  We have investigated if such cloud resources can be used effectively for verification.  We chose the platform-as-a-service offer Google App Engine and ported the open-source verification framework CPAchecker to it.  We provide our new verification service as a web front-end to users who wish to solve single verification tasks (tutorial usage), and an API for integrating the service into existing verification infrastructures (massively parallel bulk usage).  We experimentally evaluate the effectiveness of this service and show that it can be successfully used to offload verification work to the cloud, considerably sparing local verification resources.},
        keyword = {CPAchecker,Software Model Checking,Cloud-Based Software Verification},
        }
        
      </div>
    </details>
  </span>
</li>

<li class="bibentry" id="ICPC14">
  <span class="main-info">
    <span class="author-list"><span class="author"><a href="../Author/BEYER-D.html"><span class="firstname">Dirk</span> <span class="lastname">Beyer</span></a></span> and
    <span class="author"><span class="firstname">Peter</span> <span class="lastname">Häring</span></span>.</span>
    <span class="publication-title">A Formal Evaluation of DepDegree Based on Weyuker's Properties.</span>
    <span class="howpublished">
      In <span class="editor-list"><span class="editor"><span class="firstname">C.</span> <span class="lastname">Roy</span></span>,
      <span class="editor"><span class="firstname">A.</span> <span class="lastname">Begel</span></span>, and
      <span class="editor"><span class="firstname">L.</span> <span class="lastname">Moonen</span></span>, editors</span>,
      <em class="booktitle">  Proceedings of the 22nd International Conference on
        Program Comprehension (ICPC 2014, Hyderabad, India, June 2-3)</em>,
      <span class="pages">pages 258-261</span>,
      <span class="publication-date">  <span class="year">2014</span></span>.
    </span>
    <span class="publisher">ACM.</span>
    <a class="doi" href="https://doi.org/10.1145/2597008.2597794" data-doi="10.1145/2597008.2597794" title="The digital object identifier permanently identifies a digital article or document.">doi:10.1145/2597008.2597794</a>
  </span>
  <a class="bibentry-link" href="#ICPC14"><img height="12px" width="12px" src="https://www.sosy-lab.org/images/transparent.gif" alt="Link to this entry"></a>
  <span class="additional-info">
    <span class="inline-info">
      <span class="keyword-list">Keyword(s):
        <a class="keyword" href="../Keyword/STRUCTURAL-ANALYSIS-AND-COMPREHENSION.html">Structural Analysis and Comprehension</a>
      </span>
    </span>
    <span class="link-list">
      <a class="publishers-version-link doi-link" href="https://doi.org/10.1145/2597008.2597794" title="Link to official version of paper (may be a landing page with more information)"><img alt="" height="17px" width="17px" src="https://www.sosy-lab.org/research/pub/Icons/doi.svg">Publisher's Version</a>
      <a class="pdf-link" href="https://www.sosy-lab.org/research/pub/2014-ICPC.A_Formal_Evaluation_of_DepDegree_Based_on_Weyukers_Properties.pdf"><img alt="" height="17px" width="17px" src="https://www.sosy-lab.org/research/pub/Icons/pdf.gif">PDF</a>
      <a class="material-link" href="http://www.sosy-lab.org/~dbeyer/DepDegreeProperties"><img alt="" height="15px" width="15px" src="https://www.sosy-lab.org/research/pub/Icons/www.gif">Supplement</a>
    </span>
    <details  class="abstract">
      <summary>Abstract</summary>
      <div>
        Complexity of source code is an important
        characteristic that software engineers aim to
        quantify using static software measurement.  Several
        measures used in practice as indicators for software
        complexity have theoretical flaws.  In order to
        assess the quality of a software measure, Weyuker
        established a set of properties that an indicator
        for program-code complexity should satisfy.  It is
        known that several well-established complexity
        indicators do not fulfill Weyuker's properties.  We
        show that DepDegree, a measure for data-flow
        dependencies, satisfies all of Weyuker's properties.
      </div>
    </details>
    <details  class="bibtex">
      <summary>BibTeX Entry</summary>
      <div>
        @inproceedings{ICPC14,
        author = {Dirk Beyer and Peter H{\&quot;a}ring},
        title = {A Formal Evaluation of {DepDegree} Based on {Weyuker}&#x27;s Properties},
        booktitle = {Proceedings of the 22nd International Conference on Program Comprehension (ICPC~2014, Hyderabad, India, June 2-3)},
        editor = {C.~Roy and A.~Begel and L.~Moonen},
        pages = {258-261},
        year = {2014},
        publisher = {ACM},
        isbn = {978-1-4503-2879-1},
        doi = {10.1145/2597008.2597794},
        url = {http://www.sosy-lab.org/~dbeyer/DepDegreeProperties},
        pdf = {https://www.sosy-lab.org/research/pub/2014-ICPC.A_Formal_Evaluation_of_DepDegree_Based_on_Weyukers_Properties.pdf},
        abstract = {Complexity of source code is an important characteristic that software engineers aim to quantify using static software measurement.  Several measures used in practice as indicators for software complexity have theoretical flaws.  In order to assess the quality of a software measure, Weyuker established a set of properties that an indicator for program-code complexity should satisfy.  It is known that several well-established complexity indicators do not fulfill Weyuker&#x27;s properties.  We show that DepDegree, a measure for data-flow dependencies, satisfies all of Weyuker&#x27;s properties.},
        keyword = {Structural Analysis and Comprehension},
        }
        
      </div>
    </details>
  </span>
</li>

<li class="bibentry" id="TACAS14">
  <span class="main-info">
    <span class="author-list"><span class="author"><a href="../Author/BEYER-D.html"><span class="firstname">Dirk</span> <span class="lastname">Beyer</span></a></span>.</span>
    <span class="publication-title">Status Report on Software Verification (Competition Summary SV-COMP 2014).</span>
    <span class="howpublished">
      In <span class="editor-list"><span class="editor"><span class="firstname">E.</span> <span class="lastname">Abraham</span></span> and
      <span class="editor"><span class="firstname">K.</span> <span class="lastname">Havelund</span></span>, editors</span>,
      <em class="booktitle">  Proceedings of the 20th International Conference on
        Tools and Algorithms for the Construction and Analysis of Systems (TACAS 2014, Grenoble, France, April 5-13)</em>,
      <span class="series">LNCS 8413</span>,
      <span class="pages">pages 373-388</span>,
      <span class="publication-date">  <span class="year">2014</span></span>.
    </span>
    <span class="publisher">Springer-Verlag, Heidelberg.</span>
    <a class="doi" href="https://doi.org/10.1007/978-3-642-54862-8_25" data-doi="10.1007/978-3-642-54862-8_25" title="The digital object identifier permanently identifies a digital article or document.">doi:10.1007/978-3-642-54862-8_25</a>
  </span>
  <a class="bibentry-link" href="#TACAS14"><img height="12px" width="12px" src="https://www.sosy-lab.org/images/transparent.gif" alt="Link to this entry"></a>
  <span class="additional-info">
    <span class="inline-info">
      <span class="keyword-list">Keyword(s):
        <a class="keyword" href="../Keyword/COMPETITION-ON-SOFTWARE-VERIFICATION-SV-COMP.html">Competition on Software Verification (SV-COMP)</a>,
        <a class="keyword" href="../Keyword/COMPETITION-ON-SOFTWARE-VERIFICATION-SV-COMP-REPORT.html">Competition on Software Verification (SV-COMP Report)</a>,
        <a class="keyword" href="../Keyword/SOFTWARE-MODEL-CHECKING.html">Software Model Checking</a>
      </span>
    </span>
    <span class="link-list">
      <a class="publishers-version-link doi-link" href="https://doi.org/10.1007/978-3-642-54862-8_25" title="Link to official version of paper (may be a landing page with more information)"><img alt="" height="17px" width="17px" src="https://www.sosy-lab.org/research/pub/Icons/doi.svg">Publisher's Version</a>
      <a class="pdf-link" href="https://www.sosy-lab.org/research/pub/2014-TACAS.Status_Report_on_Software_Verification.pdf"><img alt="" height="17px" width="17px" src="https://www.sosy-lab.org/research/pub/Icons/pdf.gif">PDF</a>
      <a class="material-link" href="https://sv-comp.sosy-lab.org/2014/"><img alt="" height="15px" width="15px" src="https://www.sosy-lab.org/research/pub/Icons/www.gif">Supplement</a>
    </span>
    <details  class="abstract">
      <summary>Abstract</summary>
      <div>
        This report describes the 3rd International
        Competition on Software Verification (SV-COMP 2014),
        which is the third edition of a thorough comparative
        evaluation of fully automatic software verifiers.
        The reported results represent the state of the art
        in automatic software verification, in terms of
        effectiveness and efficiency.  The verification
        tasks of the competition consist of nine categories
        containing a total of 2868 C programs, covering
        bit-vector operations, concurrent execution,
        control-flow and integer data-flow, device-drivers,
        heap data structures, memory manipulation via
        pointers, recursive functions, and sequentialized
        concurrency.  The specifications include
        reachability of program labels and memory safety.
        The competition is organized as a satellite event at
        TACAS 2014 in Grenoble, France.
      </div>
    </details>
    <details  class="bibtex">
      <summary>BibTeX Entry</summary>
      <div>
        @inproceedings{TACAS14,
        author = {Dirk Beyer},
        title = {Status Report on Software Verification (Competition Summary {SV-COMP} 2014)},
        booktitle = {Proceedings of the 20th International Conference on Tools and Algorithms for the Construction and Analysis of Systems (TACAS~2014, Grenoble, France, April 5-13)},
        editor = {E.~Abraham and K. Havelund},
        pages = {373-388},
        year = {2014},
        series = {LNCS~8413},
        publisher = {Springer-Verlag, Heidelberg},
        isbn = {978-3-642-54861-1},
        doi = {10.1007/978-3-642-54862-8_25},
        sha256 = {33d6c82695f46b11a762d5237608b7934f8bf664f5bd36ad3e1722591b398d7c},
        url = {https://sv-comp.sosy-lab.org/2014/},
        pdf = {https://www.sosy-lab.org/research/pub/2014-TACAS.Status_Report_on_Software_Verification.pdf},
        abstract = {This report describes the 3rd International Competition on Software Verification (SV-COMP 2014), which is the third edition of a thorough comparative evaluation of fully automatic software verifiers. The reported results represent the state of the art in automatic software verification, in terms of effectiveness and efficiency.  The verification tasks of the competition consist of nine categories containing a total of 2868 C programs, covering bit-vector operations, concurrent execution, control-flow and integer data-flow, device-drivers, heap data structures, memory manipulation via pointers, recursive functions, and sequentialized concurrency.  The specifications include reachability of program labels and memory safety. The competition is organized as a satellite event at TACAS 2014 in Grenoble, France.},
        keyword = {Competition on Software Verification (SV-COMP),Competition on Software Verification (SV-COMP Report),Software Model Checking},
        }
        
      </div>
    </details>
  </span>
</li>

<li class="bibentry" id="ISOLA14-TrackIntro">
  <span class="main-info">
    <span class="author-list"><span class="author"><span class="firstname">Markus</span> <span class="lastname">Schordan</span></span>,
    <span class="author"><span class="firstname">Welf</span> <span class="lastname">Löwe</span></span>, and
    <span class="author"><a href="../Author/BEYER-D.html"><span class="firstname">Dirk</span> <span class="lastname">Beyer</span></a></span>.</span>
    <span class="publication-title">Evaluation and Reproducibility of Program Analysis (Track Introduction).</span>
    <span class="howpublished">
      In <span class="editor-list"><span class="editor"><span class="firstname">T.</span> <span class="lastname">Margaria</span></span> and
      <span class="editor"><span class="firstname">B.</span> <span class="lastname">Steffen</span></span>, editors</span>,
      <em class="booktitle">  Proceedings of the 6th International Symposium on
        Leveraging Applications of Formal Methods, Verification, and Validation (ISoLA 2014, Corfu, Greece, October 8-11)</em>,
      <span class="series">LNCS 8803</span>,
      <span class="pages">pages 479-481</span>,
      <span class="publication-date">  <span class="year">2014</span></span>.
    </span>
    <span class="publisher">Springer-Verlag, Heidelberg.</span>
    <a class="doi" href="https://doi.org/10.1007/978-3-662-45231-8_37" data-doi="10.1007/978-3-662-45231-8_37" title="The digital object identifier permanently identifies a digital article or document.">doi:10.1007/978-3-662-45231-8_37</a>
  </span>
  <a class="bibentry-link" href="#ISOLA14-TrackIntro"><img height="12px" width="12px" src="https://www.sosy-lab.org/images/transparent.gif" alt="Link to this entry"></a>
  <span class="additional-info">
    <span class="inline-info">
    </span>
    <span class="link-list">
      <a class="publishers-version-link doi-link" href="https://doi.org/10.1007/978-3-662-45231-8_37" title="Link to official version of paper (may be a landing page with more information)"><img alt="" height="17px" width="17px" src="https://www.sosy-lab.org/research/pub/Icons/doi.svg">Publisher's Version</a>
      <a class="pdf-link" href="https://link.springer.com/content/pdf/10.1007/978-3-662-45231-8_37.pdf"><img alt="" height="17px" width="17px" src="https://www.sosy-lab.org/research/pub/Icons/pdf.gif">PDF</a>
      <a class="material-link" href="https://doi.org/10.1007/978-3-662-45231-8_37"><img alt="" height="15px" width="15px" src="https://www.sosy-lab.org/research/pub/Icons/www.gif">Supplement</a>
    </span>
    <details  class="bibtex">
      <summary>BibTeX Entry</summary>
      <div>
        @inproceedings{ISOLA14-TrackIntro,
        author = {Markus Schordan and Welf L{\&quot;{o}}we and Dirk Beyer},
        title = {Evaluation and Reproducibility of Program Analysis (Track Introduction)},
        booktitle = {Proceedings of the 6th International Symposium on Leveraging Applications of Formal Methods, Verification, and Validation (ISoLA~2014, Corfu, Greece, October 8-11)},
        editor = {T.~Margaria and B.~Steffen},
        pages = {479-481},
        year = {2014},
        series = {LNCS~8803},
        publisher = {Springer-Verlag, Heidelberg},
        doi = {10.1007/978-3-662-45231-8_37},
        sha256 = {},
        url = {https://doi.org/10.1007/978-3-662-45231-8_37},
        }
        
      </div>
    </details>
  </span>
</li>

<li class="bibentry" id="SE14-MultiGoal">
  <span class="main-info">
    <span class="author-list"><span class="author"><a href="../Author/BEYER-D.html"><span class="firstname">Dirk</span> <span class="lastname">Beyer</span></a></span>,
    <span class="author"><span class="firstname">Andreas</span> <span class="lastname">Holzer</span></span>,
    <span class="author"><span class="firstname">Michael</span> <span class="lastname">Tautschnig</span></span>, and
    <span class="author"><span class="firstname">Helmut</span> <span class="lastname">Veith</span></span>.</span>
    <span class="publication-title">Reusing Information in Multi-Goal Reachability Analyses.</span>
    <span class="howpublished">
      In <span class="editor-list"><span class="editor"><span class="firstname">W.</span> <span class="lastname">Hasselbring</span></span> and
      <span class="editor"><span class="firstname">N. C.</span> <span class="lastname">Ehmke</span></span>, editors</span>,
      <em class="booktitle">  Tagungsband Software Engineering 2014, Fachtagung des GI-Fachbereichs Softwaretechnik
        (25. Februar - 28. Februar 2014, Kiel, Deutschland)</em>,
      <span class="series">LNI 227</span>,
      <span class="pages">pages 97-98</span>,
      <span class="publication-date">  <span class="year">2014</span></span>.
    </span>
    <span class="publisher">Gesellschaft für Informatik (GI).</span>
  </span>
  <a class="bibentry-link" href="#SE14-MultiGoal"><img height="12px" width="12px" src="https://www.sosy-lab.org/images/transparent.gif" alt="Link to this entry"></a>
  <span class="additional-info">
    <span class="inline-info">
      <span class="keyword-list">Keyword(s):
        <a class="keyword" href="../Keyword/CPACHECKER.html">CPAchecker</a>,
        <a class="keyword" href="../Keyword/SOFTWARE-MODEL-CHECKING.html">Software Model Checking</a>
      </span>
    </span>
    <span class="link-list">
      <a class="publishers-version-link" href="https://dl.gi.de/handle/20.500.12116/30979" title="Link to official version of paper (may be a landing page with more information)">Publisher's Version</a>
      <a class="pdf-link" href="https://dl.gi.de/bitstream/handle/20.500.12116/30979/097.pdf?sequence=1&isAllowed=y"><img alt="" height="17px" width="17px" src="https://www.sosy-lab.org/research/pub/Icons/pdf.gif">PDF</a>
    </span>
    <details  class="bibtex">
      <summary>BibTeX Entry</summary>
      <div>
        @inproceedings{SE14-MultiGoal,
        author = {Dirk Beyer and Andreas Holzer and Michael Tautschnig and Helmut Veith},
        title = {Reusing Information in Multi-Goal Reachability Analyses},
        booktitle = {Tagungsband Software Engineering 2014, Fachtagung des GI-Fachbereichs Softwaretechnik (25. Februar - 28. Februar 2014, Kiel, Deutschland)},
        editor = {W.~Hasselbring and N.~C.~Ehmke},
        pages = {97--98},
        year = {2014},
        series = {{LNI}~227},
        publisher = {Gesellschaft f{\&quot;{u}}r Informatik ({GI})},
        pdf = {https://dl.gi.de/bitstream/handle/20.500.12116/30979/097.pdf?sequence=1&amp;isAllowed=y},
        keyword = {CPAchecker,Software Model Checking},
        annote = {This is a summary of a &lt;a href=&quot;https://www.sosy-lab.org/research/bib/Year/2013.html#ESOP13&quot;&gt;full article on this topic&lt;/a&gt; that appeared in Proc. ESOP 2013.},
        doinone = {DOI not available},
        urlpub = {https://dl.gi.de/handle/20.500.12116/30979},
        }
        
      </div>
    </details>
    <details open class="annote">
      <summary>Additional Infos</summary>
      <div>
        This is a summary of a <a href="https://www.sosy-lab.org/research/bib/Year/2013.html#ESOP13">full article on this topic</a> that appeared in Proc. ESOP 2013.
      </div>
    </details>
  </span>
</li>

<li class="bibentry" id="SE14-Reuse">
  <span class="main-info">
    <span class="author-list"><span class="author"><a href="../Author/BEYER-D.html"><span class="firstname">Dirk</span> <span class="lastname">Beyer</span></a></span>,
    <span class="author"><a href="../Author/LÖWE-S.html"><span class="firstname">Stefan</span> <span class="lastname">Löwe</span></a></span>,
    <span class="author"><span class="firstname">Evgeny</span> <span class="lastname">Novikov</span></span>,
    <span class="author"><span class="firstname">Andreas</span> <span class="lastname">Stahlbauer</span></span>, and
    <span class="author"><a href="../Author/WENDLER-P.html"><span class="firstname">Philipp</span> <span class="lastname">Wendler</span></a></span>.</span>
    <span class="publication-title">Precision Reuse in CPAchecker.</span>
    <span class="howpublished">
      In <span class="editor-list"><span class="editor"><span class="firstname">W.</span> <span class="lastname">Hasselbring</span></span> and
      <span class="editor"><span class="firstname">N. C.</span> <span class="lastname">Ehmke</span></span>, editors</span>,
      <em class="booktitle">  Tagungsband Software Engineering 2014, Fachtagung des GI-Fachbereichs Softwaretechnik
        (25. Februar - 28. Februar 2014, Kiel, Deutschland)</em>,
      <span class="series">LNI 227</span>,
      <span class="pages">pages 41-42</span>,
      <span class="publication-date">  <span class="year">2014</span></span>.
    </span>
    <span class="publisher">Gesellschaft für Informatik (GI).</span>
  </span>
  <a class="bibentry-link" href="#SE14-Reuse"><img height="12px" width="12px" src="https://www.sosy-lab.org/images/transparent.gif" alt="Link to this entry"></a>
  <span class="additional-info">
    <span class="inline-info">
      <span class="keyword-list">Keyword(s):
        <a class="keyword" href="../Keyword/CPACHECKER.html">CPAchecker</a>,
        <a class="keyword" href="../Keyword/SOFTWARE-MODEL-CHECKING.html">Software Model Checking</a>
      </span>
    </span>
    <span class="link-list">
      <a class="publishers-version-link" href="https://dl.gi.de/handle/20.500.12116/30949" title="Link to official version of paper (may be a landing page with more information)">Publisher's Version</a>
      <a class="pdf-link" href="https://dl.gi.de/bitstream/handle/20.500.12116/30949/041.pdf?sequence=1&isAllowed=y"><img alt="" height="17px" width="17px" src="https://www.sosy-lab.org/research/pub/Icons/pdf.gif">PDF</a>
    </span>
    <details  class="abstract">
      <summary>Abstract</summary>
      <div>
        Continuous testing during development is a well-established technique
        for software-quality assurance.
        Continuous model checking from revision to revision is not yet established
        as a standard practice,
        because the enormous resource consumption makes its application impractical.
        Model checkers compute a large number of verification facts that
        are necessary for verifying if a given specification holds.
        We have identified a category of such intermediate results that are
        easy to store and efficient to reuse: abstraction precisions.
        The precision of an abstract domain specifies the level of abstraction
        that the analysis works on.
        Precisions are thus a precious result of the verification effort and
        it is a waste of resources to throw them away after each verification run.
        In particular, precisions are reasonably small and thus easy to store;
        they are easy to process and have a large impact on resource consumption.
        We experimentally show the impact of precision reuse
        on industrial verification problems created from
        62 Linux kernel device drivers
        with 1119 revisions.
      </div>
    </details>
    <details  class="bibtex">
      <summary>BibTeX Entry</summary>
      <div>
        @inproceedings{SE14-Reuse,
        author = {Dirk Beyer and Stefan L{\&quot;{o}}we and Evgeny Novikov and Andreas Stahlbauer and Philipp Wendler},
        title = {Precision Reuse in CPAchecker},
        booktitle = {Tagungsband Software Engineering 2014, Fachtagung des GI-Fachbereichs Softwaretechnik (25. Februar - 28. Februar 2014, Kiel, Deutschland)},
        editor = {W.~Hasselbring and N.~C.~Ehmke},
        pages = {41--42},
        year = {2014},
        series = {{LNI}~227},
        publisher = {Gesellschaft f{\&quot;{u}}r Informatik ({GI})},
        pdf = {https://dl.gi.de/bitstream/handle/20.500.12116/30949/041.pdf?sequence=1&amp;isAllowed=y},
        abstract = {Continuous testing during development is a well-established technique for software-quality assurance. Continuous model checking from revision to revision is not yet established as a standard practice, because the enormous resource consumption makes its application impractical. Model checkers compute a large number of verification facts that are necessary for verifying if a given specification holds. We have identified a category of such intermediate results that are easy to store and efficient to reuse: abstraction precisions. The precision of an abstract domain specifies the level of abstraction that the analysis works on. Precisions are thus a precious result of the verification effort and it is a waste of resources to throw them away after each verification run. In particular, precisions are reasonably small and thus easy to store; they are easy to process and have a large impact on resource consumption. We experimentally show the impact of precision reuse on industrial verification problems created from 62 Linux kernel device drivers with 1119 revisions.},
        keyword = {CPAchecker,Software Model Checking},
        annote = {This is a summary of a &lt;a href=&quot;https://www.sosy-lab.org/research/bib/Year/2013.html#FSE13&quot;&gt;full article on this topic&lt;/a&gt; that appeared in Proc. ESEC/FSE 2013.},
        doinone = {DOI not available},
        urlpub = {https://dl.gi.de/handle/20.500.12116/30949},
        }
        
      </div>
    </details>
    <details open class="annote">
      <summary>Additional Infos</summary>
      <div>
        This is a summary of a <a href="https://www.sosy-lab.org/research/bib/Year/2013.html#FSE13">full article on this topic</a> that appeared in Proc. ESEC/FSE 2013.
      </div>
    </details>
  </span>
</li>

</ol>
 <section id="disclaimer"> <h4>Disclaimer:</h4> <p class="disclaimer"> This material is presented to ensure timely dissemination of scholarly and technical work. Copyright and all rights therein are retained by authors or by other copyright holders. All person copying this information are expected to adhere to the terms and constraints invoked by each author's copyright. In most cases, these works may not be reposted without the explicit permission of the copyright holder. </p> </section> <footer id="generator">This file was generated by <a href="https://gitlab.com/sosy-lab/software/pybib2web/">pybib2web</a>, version 0.7.dev0</footer>